package com.fastest.pass.login.di

import com.fastest.pass.login.utils.LoginNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object LoginModule {

    @Provides
    @Singleton
    fun provideNavigation(): LoginNavigation {
        return LoginNavigation()
    }
}