package com.fastest.pass.welcome.di

import com.fastest.pass.welcome.utils.WelcomeNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object WelcomeModule {

    @Provides
    @Singleton
    fun provideNavigation(): WelcomeNavigation {
        return WelcomeNavigation()
    }

}