package com.fastest.pass.home.presentation.viewmodels

import androidx.lifecycle.ViewModel
import com.fastest.pass.home.utils.NewItemFormRoute
import kotlinx.coroutines.flow.MutableStateFlow

class NewItemFormViewModel : ViewModel() {
    private val _router = MutableStateFlow<NewItemFormRoute>(NewItemFormRoute.OpenNoneScreen)
    val router: MutableStateFlow<NewItemFormRoute> = _router

    fun navigateTo(newItemFormRoute: NewItemFormRoute) {
        _router.value = newItemFormRoute
    }
}